# Start with a base image containing Java runtime
FROM openjdk:8-jdk-alpine

# Add Maintainer Info
LABEL maintainer="corp.hsuk@gmail.com"

# Add a volume pointing to /opt/deploy
VOLUME /opt/deploy

ARG JAR_FILE=/target/video-views-processor.jar

ARG APP_ENV=qaa

# Add the application's jar to the container
ADD ${JAR_FILE} /opt/deploy/video-views-processor.jar

ENV APPLICATION_ENV=$APP_ENV
# Run the jar file
ENTRYPOINT ["java","-Dapp.Id=1003", "-Dapp.environment=${APPLICATION_ENV}","-jar","/opt/deploy/video-views-processor.jar"]